<?php
/**
 * FamilyEventDat Entity
 * $Id: FamilyEventDat.inc,v 1.1 2020/2/27 14:40:01 Exp $
 * @author zb
 * @package jp.compass.entity
 * @access public
 */
class FamilyEventDat extends CompassDynamicData
{
	var $school_no;
	var $class_no;
	var $event_id;
	var $original_source;
	var $title;
	var $author;
	var $publish_time;
	var $images;
	var $content;
	var $delete_flg;

	/**
	 * 构造实现。family_event_dat创建实例。
	 * 
	 * @access public
	 * @param mixed family_event_dat
	 */
	function constructor($record)
	{
		parent::constructor($record);

		$this->school_no       = $record["school_no"];
		$this->class_no        = $record["class_no"];
		$this->event_id        = $record["event_id"];
		$this->original_source = $record["original_source"];
		$this->title           = $record["title"];
		$this->author          = $record["author"];
		$this->publish_time    = $record["publish_time"];
		$this->images          = $record["images"];
		$this->content         = $record["content"];
		$this->delete_flg      = $record["delete_flg"];
	}

	/**
	 * 根据条件,获取数据列表。
	 * 条件与DBManager的doSelect相同。
	 * @access public
	 * @static
	 * @param array 检索条件
	 * @return array Entity的队列
	 */
	public static function getList($w_param = null, $orderkey = null, $direction = "ASC", $offset = null, $limit = null)
	{
		if ($w_param == null) {
			$w_param = array();
			$w_param["delete_flg"] = "false";
		}

		return CompassDBHandler::getList("FamilyEventDat", "family_event_dat", $w_param, $orderkey, $direction, $offset, $limit);
	}

	/**
	 * 根据条件，获取数据列表的件数。
	 * 条件与DBManager的doSelect相同。
	 * @access public
	 * @static
	 * @param array 检索条件
	 * @return array Entity的队列
	 */
	public static function getListCount($w_param = null)
	{
		if ($w_param == null) {
			$w_param = array();
			$w_param["delete_flg"] = "false";
		}
		$db = CompassDBManager::getInstance();
		$result = $db->doSelect("family_event_dat", $w_param, null, null, null, null, "count(*) as count");

		return $result[0]["count"];
	}

	/**
	 * 获得此类指定ID的实例。
	 */
	public static function getById($id)
	{
		// delete_flg
		$param = array();
		$param["delete_flg"] = false;

		return CompassDBHandler::getById("FamilyEventDat", "family_event_dat", $id, $param);
	}

	// -- 这里开始Dynamic ---
	/**
	 * 将此实例写入DB。
	 * DynamicData共用的保存方法。
	 * @access public
	 * @return int 写入实例的ID
	 */
	public function save()
	{
		$v_param = array();

		ParamUtil::copyObj2Array($v_param, $this, "school_no");
		ParamUtil::copyObj2Array($v_param, $this, "class_no");
		ParamUtil::copyObj2Array($v_param, $this, "event_id");
		ParamUtil::copyObj2Array($v_param, $this, "original_source");
		ParamUtil::copyObj2Array($v_param, $this, "title");
		ParamUtil::copyObj2Array($v_param, $this, "author");
		ParamUtil::copyObj2Array($v_param, $this, "publish_time");
		ParamUtil::copyObj2ArrayNullField($v_param, $this, "images");
		ParamUtil::copyObj2Array($v_param, $this, "content");
		ParamUtil::copyObj2Array($v_param, $this, "delete_flg");

		// 保存
		parent::_save("family_event_dat", $v_param);
	}
}